# Ipopt::StreamJournal Class Reference

StreamJournal class. More...

`#include <IpJournalist.hpp>`

Inheritance diagram for Ipopt::StreamJournal:
[legend]

List of all members.

## Public Member Functions
| StreamJournal (const std::string &name, EJournalLevel default_level)
| Constructor.
virtual | ~StreamJournal ()
| Destructor.
void | SetOutputStream (std::ostream *os)
| Setting the output stream pointer.
## Protected Member Functions
Implementation version of Print methods - Overloaded from
Journal base class.
virtual void | PrintImpl (EJournalCategory category, EJournalLevel level, const char *str)
| Print to the designated output location.
virtual void | PrintfImpl (EJournalCategory category, EJournalLevel level, const char *pformat, va_list ap)
| Printf to the designated output location.
virtual void | FlushBufferImpl ()
| Flush output buffer.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| StreamJournal ()
| Default Constructor.
| StreamJournal (const StreamJournal &)
| Copy Constructor.
void | operator= (const StreamJournal &)
| Overloaded Equals Operator.
## Private Attributes
std::ostream * | os_
| pointer to output stream for the output destination
char | buffer_ [32768]
| buffer for sprintf.

## Detailed Description

StreamJournal class.

This is a particular Journal implementation that writes to a stream for output.

Definition at line 440 of file IpJournalist.hpp.

## Constructor & Destructor Documentation

Ipopt::StreamJournal::StreamJournal | ( | const std::string & | name,
|  | EJournalLevel | default_level |
| ) |  |  |

Constructor.

virtual Ipopt::StreamJournal::~StreamJournal | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 447 of file IpJournalist.hpp.

Ipopt::StreamJournal::StreamJournal | ( |  | ) | `[private]`

Default Constructor.

Ipopt::StreamJournal::StreamJournal | ( | const StreamJournal & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

void Ipopt::StreamJournal::SetOutputStream | ( | std::ostream * | os | ) |

Setting the output stream pointer.

virtual void Ipopt::StreamJournal::PrintImpl | ( | EJournalCategory | category,
|  | EJournalLevel | level,
|  | const char * | str |
| ) |  |  | `[protected, virtual]`

Print to the designated output location.

Implements Ipopt::Journal.

virtual void Ipopt::StreamJournal::PrintfImpl | ( | EJournalCategory | category,
|  | EJournalLevel | level,
|  | const char * | pformat,
|  | va_list | ap |
| ) |  |  | `[protected, virtual]`

Printf to the designated output location.

Implements Ipopt::Journal.

virtual void Ipopt::StreamJournal::FlushBufferImpl | ( |  | ) | `[protected, virtual]`

Flush output buffer.

Implements Ipopt::Journal.

void Ipopt::StreamJournal::operator= | ( | const StreamJournal & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::Journal.

## Member Data Documentation

std::ostream* Ipopt::StreamJournal::os_`[private]`

pointer to output stream for the output destination

Definition at line 490 of file IpJournalist.hpp.

char Ipopt::StreamJournal::buffer_[32768]`[private]`

buffer for sprintf.

Being generous in size here...

Definition at line 493 of file IpJournalist.hpp.

The documentation for this class was generated from the following file:

- src/Common/IpJournalist.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines